Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetNoSwapping

Should facet swapping be turned off?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetNoSwapping(DM dm, PetscBool noSwap)

## Input Parameters

- dm - The `DM`

- noSwap - Should facet swapping be turned off?

## Note

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricNoSwapping()`, `DMPlexMetricSetNoInsertion()`, `DMPlexMetricSetNoMovement()`, `DMPlexMetricSetNoSurf()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages